﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="tbl_bookDataSet" targetNamespace="http://tempuri.org/tbl_bookDataSet.xsd" xmlns:mstns="http://tempuri.org/tbl_bookDataSet.xsd" xmlns="http://tempuri.org/tbl_bookDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="Project_LibraryDBConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="Project_LibraryDBConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Project_Library.Properties.Settings.GlobalReference.Default.Project_LibraryDBConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="tbl_bookTableAdapter" GeneratorDataComponentClassName="tbl_bookTableAdapter" Name="tbl_book" UserDataComponentName="tbl_bookTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Project_LibraryDBConnectionString (Settings)" DbObjectName="Project_LibraryDB.dbo.tbl_book" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[tbl_book] WHERE (([id_book] = @Original_id_book) AND ((@IsNull_name = 1 AND [name] IS NULL) OR ([name] = @Original_name)) AND ((@IsNull_author = 1 AND [author] IS NULL) OR ([author] = @Original_author)) AND ((@IsNull_publish = 1 AND [publish] IS NULL) OR ([publish] = @Original_publish)) AND ((@IsNull_subject = 1 AND [subject] IS NULL) OR ([subject] = @Original_subject)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_id_book" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="id_book" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_name" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_author" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_author" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_publish" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_publish" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_subject" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_subject" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[tbl_book] ([name], [author], [publish], [subject]) VALUES (@name, @author, @publish, @subject);
SELECT id_book, name, author, publish, subject FROM tbl_book WHERE (id_book = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@author" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@publish" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT id_book, name, author, publish, subject FROM dbo.tbl_book</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[tbl_book] SET [name] = @name, [author] = @author, [publish] = @publish, [subject] = @subject WHERE (([id_book] = @Original_id_book) AND ((@IsNull_name = 1 AND [name] IS NULL) OR ([name] = @Original_name)) AND ((@IsNull_author = 1 AND [author] IS NULL) OR ([author] = @Original_author)) AND ((@IsNull_publish = 1 AND [publish] IS NULL) OR ([publish] = @Original_publish)) AND ((@IsNull_subject = 1 AND [subject] IS NULL) OR ([subject] = @Original_subject)));
SELECT id_book, name, author, publish, subject FROM tbl_book WHERE (id_book = @id_book)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@author" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@publish" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_id_book" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="id_book" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_name" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_author" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_author" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="author" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_publish" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_publish" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="publish" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_subject" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_subject" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="id_book" ColumnName="id_book" DataSourceName="Project_LibraryDB.dbo.tbl_book" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@id_book" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="id_book" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="id_book" DataSetColumn="id_book" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="author" DataSetColumn="author" />
              <Mapping SourceColumn="publish" DataSetColumn="publish" />
              <Mapping SourceColumn="subject" DataSetColumn="subject" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="tbl_bookDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="tbl_bookDataSet" msprop:Generator_UserDSName="tbl_bookDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="tbl_book" msprop:Generator_TableClassName="tbl_bookDataTable" msprop:Generator_TableVarName="tabletbl_book" msprop:Generator_TablePropName="tbl_book" msprop:Generator_RowDeletingName="tbl_bookRowDeleting" msprop:Generator_RowChangingName="tbl_bookRowChanging" msprop:Generator_RowEvHandlerName="tbl_bookRowChangeEventHandler" msprop:Generator_RowDeletedName="tbl_bookRowDeleted" msprop:Generator_UserTableName="tbl_book" msprop:Generator_RowChangedName="tbl_bookRowChanged" msprop:Generator_RowEvArgName="tbl_bookRowChangeEvent" msprop:Generator_RowClassName="tbl_bookRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id_book" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnid_book" msprop:Generator_ColumnPropNameInRow="id_book" msprop:Generator_ColumnPropNameInTable="id_bookColumn" msprop:Generator_UserColumnName="id_book" type="xs:int" />
              <xs:element name="name" msprop:Generator_ColumnVarNameInTable="columnname" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_UserColumnName="name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="author" msprop:Generator_ColumnVarNameInTable="columnauthor" msprop:Generator_ColumnPropNameInRow="author" msprop:Generator_ColumnPropNameInTable="authorColumn" msprop:Generator_UserColumnName="author" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="publish" msprop:Generator_ColumnVarNameInTable="columnpublish" msprop:Generator_ColumnPropNameInRow="publish" msprop:Generator_ColumnPropNameInTable="publishColumn" msprop:Generator_UserColumnName="publish" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="subject" msprop:Generator_ColumnVarNameInTable="columnsubject" msprop:Generator_ColumnPropNameInRow="subject" msprop:Generator_ColumnPropNameInTable="subjectColumn" msprop:Generator_UserColumnName="subject" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:tbl_book" />
      <xs:field xpath="mstns:id_book" />
    </xs:unique>
  </xs:element>
</xs:schema>